Skip to Content
homemade
Dashboard

List branches

GET
/api/projects/{projectId}/branches

The branches a VM of this project can boot, the default branch first.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Path Parameters

projectId*string

Response Body

Branch names.

application/json
  1. response
branches*array<string>
Example Request
curl -X GET 'https://api.homemade.dev/api/projects/string/branches'
Example Response
{  "branches": [    "string"  ]}